# Opal_RGB24_to_RFC4175RGB Class Reference

`#include <rfc4175.h>`

Inheritance diagram for Opal_RGB24_to_RFC4175RGB:

[legend]
Collaboration diagram for Opal_RGB24_to_RFC4175RGB:
[legend]

## Public Member Functions

| Opal_RGB24_to_RFC4175RGB ()
PINDEX | GetPgroupSize () const
PINDEX | GetColsPerPgroup () const
PINDEX | GetRowsPerPgroup () const
PINDEX | PixelsToBytes (PINDEX pixels) const
PINDEX | BytesToPixels (PINDEX bytes) const
void | StartEncoding (const RTP_DataFrame &input)
void | EndEncoding ()

## Protected Attributes

BYTE * | m_rgbBase

## Constructor & Destructor Documentation

Opal_RGB24_to_RFC4175RGB::Opal_RGB24_to_RFC4175RGB | ( |  | ) | `[inline]`

## Member Function Documentation

PINDEX Opal_RGB24_to_RFC4175RGB::BytesToPixels | ( | PINDEX | bytes | ) | const`[inline]`

void Opal_RGB24_to_RFC4175RGB::EndEncoding | ( |  | ) | `[virtual]`

Implements OpalRFC4175Encoder.

PINDEX Opal_RGB24_to_RFC4175RGB::GetColsPerPgroup | ( |  | ) | const`[inline, virtual]`

Implements OpalRFC4175Transcoder.

PINDEX Opal_RGB24_to_RFC4175RGB::GetPgroupSize | ( |  | ) | const`[inline, virtual]`

Implements OpalRFC4175Transcoder.

PINDEX Opal_RGB24_to_RFC4175RGB::GetRowsPerPgroup | ( |  | ) | const`[inline, virtual]`

Implements OpalRFC4175Transcoder.

PINDEX Opal_RGB24_to_RFC4175RGB::PixelsToBytes | ( | PINDEX | pixels | ) | const`[inline, virtual]`

Implements OpalRFC4175Transcoder.

void Opal_RGB24_to_RFC4175RGB::StartEncoding | ( | const RTP_DataFrame & | input | ) | `[virtual]`

Reimplemented from OpalRFC4175Encoder.

## Field Documentation

BYTE* Opal_RGB24_to_RFC4175RGB::m_rgbBase `[protected]`

The documentation for this class was generated from the following file:

- rfc4175.h